# Your watchlists

> Your WiseView watchlists and the names on each.

Source: https://wiseview.ai/docs/api/me-watchlists

`GET https://api.wiseview.ai/v1/me/watchlists`

Your WiseView watchlists and the names on each.

Each call counts against your allowance.

## Answer

`data`, abridged — real answers carry more fields:

```json
[
  {
    "id": "6710c0ffee0000000000abcd",
    "name": "Main",
    "symbols": [
      "AAPL",
      "NVDA"
    ],
    "symbolCount": 2
  }
]
```

## Samples

```bash
curl "https://api.wiseview.ai/v1/me/watchlists" \
  -H "Authorization: Bearer $WISEVIEW_API_KEY"
```

```python
import os
import requests

response = requests.get(
    "https://api.wiseview.ai/v1/me/watchlists",
    headers={"Authorization": f"Bearer {os.environ['WISEVIEW_API_KEY']}"},
)
response.raise_for_status()
print(response.json())
```

```javascript
const response = await fetch("https://api.wiseview.ai/v1/me/watchlists", {
  headers: { "Authorization": `Bearer ${process.env.WISEVIEW_API_KEY}` },
});
if (!response.ok) throw new Error(`WiseView answered ${response.status}`);
console.log(await response.json());
```
